const request = require('../utils/request')

module.exports={ 
  //根据关键词获取列表(图片用于排序)接口(有图)
	getPatentVectorsByImage:(data,file)=>{
    return request.upload(file,data,'/xiaoshi-weixinback/patent/getPatentVectors')
  },
  //根据关键词获取列表(图片用于排序)接口(无图)
	getPatentVectors:(data)=>{
    return request.post('/xiaoshi-weixinback/patent/getPatentVectors',data,true,{'content-type': 'application/x-www-form-urlencoded'})
  },
  //根据申请号获取图片
	getPictureByNo:(data)=>{
		return request.post('/xiaoshi-weixinback/patent/getPictureByNo',data)
  },
  //根据专利号获取专利详情
	selectPatentInfoByPatentNo:(data)=>{
		return request.post('/xiaoshi-weixinback/patent/selectPatentInfoByPatentNo',data)
	},
 }
